+++
lastmod= "2020-05-29"
weight = 100

title = "Apertis Privacy Policy Update"
+++


A lot has changed with the Apertis project since the last time the
[privacy policy]({{< ref "privacy_policy.md" >}}) was revisited.  Whilst much
of this change hasn't affected our policies with regard to privacy, a few have:

- We have migrated from a cgit-based Git hosting to GitLab, with the associated
  addition of user accounts in GitLab
- The Apertis website has migrated from a MediaWiki instance to a Hugo-based
  static site served from GitLab Pages, losing the user account functionality
  associated with MediaWiki.

As a result of these changes, and inline with our policies regarding changes to
the privacy policy, we are highlighting the following changes to the privacy
policy that we intend to implement on 1 July 2020.

# Privacy Policy Changes

{{< highlight diff "linenos=false" >}}
@@ -99,8 +100,8 @@ understand more about what this Privacy Policy covers, please see below.
 For the sake of clarity, this Privacy Policy covers, regardless of
 language:
 
-  - All of our major sites, such as the Apertis wiki, including user
-    pages, discussion pages, and noticeboards.
+  - All of our major sites, such as the Apertis website, Apertis GitLab
+    instance, including user pages, discussion pages, and noticeboards.
   - Our blogs and APIs (unless we have provided a separate policy for
     those services).
   - Our mobile sites and applications, which can be found on our
@@ -116,9 +117,9 @@ language:
 Whatever you post on Apertis Websites can be seen and used by everyone.
 
 When you make a contribution to any Apertis Website, including on
-Phabricator or the wiki, you are creating a permanent, public record of
-every piece of content added, removed, or altered by you. We may use
-your public contributions, either aggregated with the public
+Phabricator or the gitlab instance, you are creating a permanent, public
+record of every piece of content added, removed, or altered by you. We may
+use your public contributions, either aggregated with the public
 contributions of others or individually, to create new features or to
 learn more about how the Apertis Websites are used.
 
@@ -140,9 +141,9 @@ political affiliation, and gender.
 You need to create an account to contribute to most Apertis Websites.
 You are not required to create an account to read most Apertis Websites.
 
-If you want to create accounts, in most cases we require only a username
-and a password. Your username will be publicly visible, so please be
-careful about using your real name as your username. Your password is
+If you want to create accounts, in most cases we require only a username,
+email address and a password. Your username will be publicly visible, so
+please be careful about using your real name as your username. Your password is
 only used to verify that the account is yours. Your IP address is also
 automatically submitted to us, and we record it temporarily to help
 prevent abuse.
@@ -160,7 +161,7 @@ about yourself. We will tell you if such information is intended to be
 public or private, so that you can make an informed decision about
 whether you want to provide us with that information. Providing such
 information is always completely optional. If you don't want to, you
-don't have to—it's as simple as that.
+don't have to — it's as simple as that.
 
 #### Information we receive automatically
 
@@ -191,16 +192,16 @@ Apertis Websites, and analyze trends.
 
 ##### Emails
 
-If you choose to provide your email address, we will keep it
-confidential, except as provided in this Policy.
+If you provide your email address, we will keep it confidential, except as
+provided in this Policy.
 
 We may occasionally send you emails about important information.
 
 You may choose to opt out of certain kinds of notifications.
 
-You have the option of providing an email address at the time of
-registration or in later interactions with the Apertis Websites. If you
-do so, your email address is kept confidential, except as provided in
+You will need to provide an email address at the time of registration
+to be able to access certain portions of some of the Apertis Websites. If
+you do so, your email address is kept confidential, except as provided in
 this Policy. We do not sell, rent, or use your email address to
 advertise third-party products or services to you.
 
@@ -223,22 +224,12 @@ receive them by going to your Notifications Preferences.
 We will never ask for your password by email (but may send you a
 temporary password via email if you have requested a password reset).
 
-Direct communications between users (such as messages sent through the
-"Email this user" feature), to the extent such communications are
-nonpublic and stored in or in transit through Apertis systems, are kept
-confidential by us, except as provided in this Policy.
-
 ##### Location information
 
-When you visit any Apertis Website, we automatically receive the IP
-address of the device you are using to access the Internet, which can be
-used to infer your geographical location.
-
-Finally, when you visit any Apertis Website, we automatically receive
-the IP address of the device (or your proxy server) you are using to
-access the Internet, which could be used to infer your geographical
-location. We keep IP addresses confidential, except as provided in this
-Policy.
+When you visit any Apertis Website, we automatically receive the IP address
+of the device (or your proxy server) you are using to access the Internet,
+which could be used to infer your geographical location. We keep IP
+addresses confidential, except as provided in this Policy.
 
 ## Sharing
 
@@ -385,12 +376,10 @@ Information that you post is public and can been seen and used by
 everyone.
 
 Any information you post publicly on the Apertis Websites is just that –
-public. For example, if you put your mailing address on your talk page,
-that is public, and not protected by this Policy. And if you edit
-without registering or logging into your account, your IP address will
-be seen publicly. Please think carefully about your desired level of
-anonymity before you disclose personal information on your user page or
-elsewhere.
+public. For example, if you put your phone number in a merge request
+comment, that is public, and not protected by this Policy. Please think
+carefully about your desired level of anonymity before you disclose
+personal information.
 
 ## Protection
 
@@ -425,15 +414,15 @@ indefinitely, such as any public contributions to the Apertis Websites.
 
 ## Important info
 
-**For the protection of the Apetis community and Collabora Ltd., if you
+**For the protection of the Apertis community and Collabora Ltd., if you
 do not agree with this Privacy Policy, you may not use the Apertis
 Websites.**
 
 ### Where is Collabora Ltd. & what does that mean for you?
 
-You are consenting to the use of your information in the Europe and to
-the transfer of that information to other countries in connection to
-providing our services to you and others.
+You are consenting to the use of your information in Europe and to the
+transfer of that information to other countries in connection to providing
+our services to you and others.
 
 Collabora Ltd. is a registered company based in Cambridge, UK with
 servers and data centers located in the UK. If you decide to use Apertis
{{< /highlight >}}
